
--[[
=head1 NAME

applets.JogglerNetwork.JogglerNetworkMeta - JogglerNetwork meta-info

=head1 DESCRIPTION

See L<applets.JogglerNetwork.JogglerNetworkApplet>.

=head1 FUNCTIONS

See L<jive.AppletMeta> for a description of standard applet meta functions.

=cut
--]]

local os            = require("os")

local oo            = require("loop.simple")

local AppletMeta    = require("jive.AppletMeta")

local appletManager = appletManager
local jiveMain      = jiveMain


module(...)
oo.class(_M, AppletMeta)


function jiveVersion(meta)
	return 1, 1
end

function defaultSettings(meta)
	return {
		nic = "eth0",
		ssid = "",
		psk = "",
	}
end


function registerApplet(meta)
	
	meta:registerService("setupShowJogglerNetwork")
	
	--jiveMain:addItem(meta:menuItem('appletJogglerNetwork', 'home', "NETWORK", function(applet, ...) applet:setupJogglerNetwork(...) end, 10, nil, "wired"))
	jiveMain:addItem(meta:menuItem('appletJogglerNetwork', 'settings', "NETWORK", function(applet, ...) applet:setupJogglerNetwork(...) end, 59, nil, "wired"))

end


--[[

=head1 LICENSE

This source code is public domain. It is intended for you to use as a starting
point to create your own applet.

=cut
--]]

